Skip to main content

Central Database Check API

Objective

The Central Database Check API validates a user's information against their record retrieved from a central database for the following OVDs (Officially Valid Documents):

  • PAN
  • Voter ID
  • Passport
  • Driving License
InputOutput

The input fields vary with the OVD in the request.
The mandatory input fields corresponding to each OVD type are mentioned under the Inputs section.

The output fields vary corresponding to the requested OVD details.
The output fields corresponding to each OVD type are mentioned under the Success Response Details section.

API URL

https://ind-verify.hyperverge.co/api/centralDBCheck

API Endpoint

centralDBCheck

Overview

The API is RESTful and uses standard HTTP verbs and status codes. The responses are in JSON format, and you should upload all images and files as form-data through a POST request.

Authentication

You need a unique pair of application ID (appId) and application key (appKey) from HyperVerge to verify your identity for accessing the API.

API Request Details

Method - POST

Headers

ParameterMandatory or OptionalDescriptionAllowed Values
content-type MandatoryThe media type for the request payload.application/json
appId MandatoryThe application identifier shared by HyperVerge. You can find the details in the dashboard's credentials tab.This should be a unique value.
appKey MandatoryThe application key shared by HyperVerge. You can find the details in the dashboard's credentials tab.This should be a unique value.
transactionIdMandatoryA unique identifier for tracking a user journey.This should be both unique and easily associated with the user's journey in your application(s).

Inputs

The following table provides the details of the fields required for the API's request body.

ParameterDescriptionMandatory or OptionalAllowed ValuesDefault Value
idNumberFor PAN, Voter ID, and Driving License, this field represents the unique identification number printed on the respective documentMandatoryNot ApplicableNot Applicable
fileNumberThe file number mentioned in the passport document, also known as the Passport Reference File Number (PRFN). This is a unique identifier assigned to a passport application and is distinct from the actual passport number. It's usually located on the last page of your passport booklet, often in a smaller font, and sometimes labeled as "File No."Mandatory (only when idType is Passport)Used when idType is passportNot Applicable
dobThe date of birth of the user, as mentioned in the OVDMandatory (only for passport and DL)The date should be in DD-MM-YYYY formatNot Applicable
idTypeThe type of identification document being verified, for example, "pan" or "voterid"MandatoryNot ApplicableNot Applicable

Requests

The following are the cURL requests with expected parameters corresponding to each OVD.

curl --location --request POST 'https://ind-verify.hyperverge.co/api/centralDBCheck' \
--header 'Content-Type: application/json' \
--header 'appId: <Enter_the_HyperVerge_appId>' \
--header 'appKey: <Enter_the_HyperVerge_appKey>' \
--header 'transactionId: <Enter_the_HyperVerge_transactionID>' \
--data '{
"idNumber": "<Enter_PAN_Number>",
"idType": "pan"
}'

Success Response

The following are successful responses for the supported OVD types.

{
"status": "success",
"statusCode": "200",
"result": {
"details": {
"name": "<User_Name>"
},
"summary": {
"action": "pass",
"details": []
}
}
}

Success Response Details

The following table lists all the Success Response fields returned across the four OVD Documents

ParameterTypeDescription
statusstringThe status of the API response
statusCodestringThe HTTP status code indicating the result of the request
resultobjectThe main object containing the response details and summary
detailsobjectAn object containing specific details related to the document being verified
namestringThe name of the individual as per the document
idNumberstringThe unique identifier number on the document
rln_namestringThe name of the relative as per the Voter ID
rln_typestringThe relationship type of the relative. Returns single-character codes representing the relationship. The following list defines what each character code represents:
  • F → Father
  • M → Mother
  • H → Husband
  • W → Wife
  • O → Other
genderstringThe gender of the individual
districtstringThe district name as per the Voter ID
ac_namestringThe name of the assembly constituency
pc_namestringThe name of the parliamentary constituency
statestringThe state name as per the document
dobstringThe date of birth of the individual
ageintegerThe age of the individual
issue_datestringThe issue date of the Driving License
blood_groupstringThe blood group of the individual as per the Driving License
validityobjectAn object containing the validity details of the Driving License
transportstringThe validity of the license for transport vehicles
non-transportstringThe validity of the license for non-transport vehicles
cov_detailsarrayAn array containing the class of vehicles and their issue dates
addressstringThe address of the individual as per the Driving License
givenNamestringThe given name of the individual as per the passport
surNamestringThe surname of the individual as per the passport
doistringThe date of issue of the passport
applicationDatestringThe application date of the passport
typeOfApplicationstringThe type of passport application
summaryobjectAn object containing the summary of the verification
actionstringThe action derived from the verification result

Error Responses

The following are some error responses from the API.

{
"status": "failure",
"statusCode": "400",
"result": {
"error": "idType should be one of [pan, voterid, passport, dl]",
"summary": {
"action": "fail",
"details": [
{
"code": "111",
"message": "Invalid id type"
},
{
"code": "110",
"message": "Database check failed"
}
]
}
}
}

Error Response Details

A failure or error response from the module contains a failure status, with a relevant status code and error message. The following table lists all error responses.

Status CodeError MessageError Description
400idType should be one of [pan, voterid, passport, dl]The request has an invalid idType input
401Missing/Invalid credentialsThe request is either missing the mandatory appId and appKey combination or has invalid values
403Access DeniedPlease contact the HyperVerge team for resolution
422Entered id is not found in any databaseThe provided idNumber or fileNumber has no matching record in the database
429Too many requestsYou have exceeded the configured limit on the number of transactions permitted in a minute. Please contact the HyperVerge team for resolution
500Internal Server ErrorPlease check the request headers or contact the HyperVerge team for resolution
Was this helpful?
Ask AIBeta
Hi! How can I help?
Ask me anything about HyperVerge products, APIs, and SDKs.
Try asking: